echo.
echo ********************************************************
echo                    CONVIERTE ARCHIVOS ZXP A  BIN 
echo ********************************************************

REM Cambiar a la carpeta de los ZXP
REM Ejecutar scripts con ruta relativa a Python y ZXP

cd /d "%MC_ZXP%"



python %TOOLS_PY%\zxb2bin.py 0 n mc_std.zxp  3 4 0 0 2 5 1 1 0 7 2 2 0 7 3 3 1 6 4 4 1 6 5 5 1 6 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_std_back.zxp 3 4 0 0 2 5 1 1 0 7 2 2 0 7 3 3 1 6 4 4 1 6 5 5 1 6 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_sup_wr1.zxp 2 2 0 0 1 5 1 1 0 5 2 2 0 5 3 3
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_sup_wr2.zxp 2 2 0 0 1 3 1 1 0 5 2 2 0 5 3 3
IF ERRORLEVEL 1 goto compilerError

rem python %TOOLS_PY%\uneArchivosBas.py burt_sup_wr 2

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr1.zxp 0 4 0 0 0 3 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr2.zxp 1 5 0 0 1 5 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr3.zxp 1 4 0 0 0 5 1 1 1 5 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr4.zxp 0 4 0 0 0 3 1 1 0 3 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr5.zxp 0 4 0 0 0 4 1 1 0 3 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr6.zxp 0 4 0 0 0 4 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 r mc_inf_wr7.zxp 0 3 0 0 0 3 1 1 1 3 2 2
IF ERRORLEVEL 1 goto compilerError
 
rem python %TOOLS_PY%\uneArchivosBas.py burt_inf_wr 7


python %TOOLS_PY%\zxb2bin.py 0 l mc_sup_wl1.zxp  3 3 0 0 0 4 1 1 0 5 2 2 0 5 3 3
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_sup_wl2.zxp  3 3 0 0 2 4 1 1 0 5 2 2 0 5 3 3
IF ERRORLEVEL 1 goto compilerError

rem python C:\programas\retro\spectrum\utilidades\paintb2boriel\uneArchivosBas.py burt_sup_wl 2

REM  ***  GENERANDO ANIMATION FRAMES MC LOWER LEFT

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl1.zxp 0 4 0 0 1 4 1 1 2 4 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl2.zxp 0 4 0 0 0 4 1 1 3 5 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl3.zxp 1 4 0 0 0 5 1 1 0 4 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl4.zxp 0 4 0 0 1 4 1 1 1 4 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl5.zxp 0 4 0 0 0 4 1 1 1 4 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl6.zxp 0 4 0 0 0 4 1 1 2 4 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 l mc_inf_wl7.zxp 0 3 0 0 0 3 1 1 0 2 2 2
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_eyes.zxp 0 7 0 0
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_mouth.zxp 0 5 0 0 
IF ERRORLEVEL 1 goto compilerError

rem python C:\programas\retro\spectrum\utilidades\paintb2boriel\uneArchivosBas.py burt_inf_wl 7

rem python %TOOLS_PY%\zxb2bin.py 0 n negro.zxp 0 0 0 0 

python %TOOLS_PY%\zxb2bin.py 0 n mc_wd1.zxp 3 4 0 0 0 5 1 1 0 7 2 2 0 7 3 3 2 6 4 4 2 6 5 5 2 6 6 6 
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wd2.zxp 1 4 0 0 0 5 1 1 0 7 2 2 2 7 3 3 2 6 4 4 1 6 5 5 1 3 6 6 
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wd3.zxp 3 6 0 0 2 7 1 1 0 7 2 2 0 5 3 3 1 5 4 4 1 5 5 5 1 5 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wd4.zxp 3 6 0 0 2 7 1 1 0 7 2 2 0 5 3 3 1 5 4 4 1 6 5 5 4 6 6 6
IF ERRORLEVEL 1 goto compilerError
 
python %TOOLS_PY%\zxb2bin.py 0 n mc_wu1.zxp 3 4 0 0 2 5 1 1 0 7 2 2 0 7 3 3 1 6 4 4 1 6 5 5 2 6 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wu2.zxp 1 4 0 0 0 5 1 1 0 7 2 2 2 7 3 3 2 5 4 4 1 5 5 5 1 6 6 6 4 6 7 7 
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wu3.zxp 3 6 0 0 2 7 1 1 0 7 2 2 0 5 3 3 1 5 4 4 1 5 5 5 1 6 6 6 4 6 7 7
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wu4.zxp 3 6 0 0 2 7 1 1 0 7 2 2 0 5 3 3 1 6 4 4 1 6 5 5 1 5 6 6
IF ERRORLEVEL 1 goto compilerError

python %TOOLS_PY%\zxb2bin.py 0 n mc_wu5.zxp 3 6 0 0 2 7 1 1 0 7 2 2 0 5 3 3 2 5 4 4 2 6 5 5 1 6 6 6 1 3 7 7
IF ERRORLEVEL 1 goto compilerError





REM Mover todos los archivos generados
move /Y *.bin "%BIN_DIR%"
move /Y *.txt "%TXT_DIR%"
move /Y *.bas "%BAS_DIR%"
cd /d "%CUR_DIR%"




echo.
echo ********************************************************
echo                    GENERA MAPA 
echo ********************************************************


python %TOOLS_PY%\tmx2bin.py mapas\mapa\mapa.tmx binarios\mapa.bin
IF ERRORLEVEL 1 goto compilerError




